<bugID>510186<Summary>Change "Warn me when web sites try to redirect or reload the page" checkbox label for accessibility.blockautorefresh to non-misleading text: it does not apply to HTTP Location header (301, 302)</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1.1) Gecko/20090730 Iceweasel/3.5.1 (Debian-3.5.1-1)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1.1) Gecko/20090730 Iceweasel/3.5.1 (Debian-3.5.1-1)

The label for the checkbox to control accessibility.blockautorefresh in Preferences -&gt; Advanced -&gt; General, Accessibility is "Warn me when web sites try to redirect or reload the page":

#: blockAutoRefresh.label
#: blockAutoRefresh.accesskey
msgid "Warn me when we&amp;b sites try to redirect or reload the page"

This is not exactly what this preference does. The preference seems properly documented on http://kb.mozillazine.org/Accessibility.blockautorefresh
This preference only warns when a page redirects to another one via an HTML META element. It takes no effect when being redirected by an actual HTTP header such as 301 and 302.

So the bug seems to be in the wording of the label. The behavior seems correct, although the documentation page does discuss HTTP Refresh header.

Reproducible: Always

Steps to Reproduce:
No real step, but you can verify that accessibility.blockautorefresh does not block HTTP 301 by activating the option and going to http://ww.google.ca
Actual Results:  
Quiet redirection to http://www.google.ca

Expected Results:  
Prompt for confirmation before redirecting</Description></bugID>